default:
  image: python:3.12

# https://git.xfel.eu/help/user/project/pages/getting_started/pages_from_scratch.md
# The job needs to be named pages (in Gitlab 17.3)
pages:
  script:
    # Build HTML (here using Sphinx, could be any static site generator)
    # Output directory needs to be called 'public' (?)
    - pip install sphinx==8.1.3
    - sphinx-build source public
  artifacts:
    paths:
      - public
  # From Gitlab 17.6, specify this (job name no longer matters)
  #pages: true
